Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162155 - tsclient errors when connecting via vnc
Summary: tsclient errors when connecting via vnc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tsclient
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 13:54 UTC by Brian Millett
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 19:34:16 UTC


Attachments (Terms of Use)
support.c patch (deleted)
2005-06-30 13:59 UTC, Brian Millett
no flags Details | Diff

Description Brian Millett 2005-06-30 13:54:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
when using tsclient to connect via vnc to a server, it errors with the following error:
VNC Viewer Free Edition 4.1.1 for X - built Apr 27 2005 02:25:46
Copyright (C) 2002-2005 RealVNC Ltd.
See http://www.realvnc.com for information on VNC.

usage: vncviewer [parameters] [host:displayNum] [parameters]
       vncviewer [parameters] -listen [port] [parameters]

[snip of error]

This tells me that the args passed to vncviewer are wrong.
VNC package vnc-4.1.1-10 installed.  I've attached a patch to support.c so the correct arguments/parameters are passed to vncviewer.  I do not know about the xvncviewer or xtightvncviewer or svncviewer as I only have vncviewer installed.

Version-Release number of selected component (if applicable):
tsclient-0.132-6

How reproducible:
Always

Steps to Reproduce:
1.launch tsclient
2.connect to a server via vnc
3.close error window
  

Actual Results:  could not connect to server

Expected Results:  should have connected to server

Additional info:

Comment 1 Brian Millett 2005-06-30 13:59:44 UTC
Created attachment 116170 [details]
support.c patch

Comment 2 Brian Wheeler 2006-04-07 13:20:32 UTC
This problem still exists in FC5.  I've sent a message to the upstream author
referring him to this bug.


Comment 3 Christian Iseli 2007-01-22 10:32:32 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 4 Brian Millett 2007-01-22 19:34:16 UTC
Again, thanks for the notice.  It is fixed.


Note You need to log in before you can comment on or make changes to this bug.